org.eclipse.mat.parser.index

## Class IndexWriter.IntIndexStreamer

- java.lang.Object
- - org.eclipse.mat.parser.index.IndexWriter.IntIndexStreamer

Enclosing class:
  IndexWriter

    public static class IndexWriter.IntIndexStreamer
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`IntIndexStreamer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `get(int index)`
`int[]` `getAll(int[] index)`
`int[]` `getNext(int index, int length)`
`IteratorInt` `iterator()`
`void` `set(int index, int value)`
`int` `size()`
`void` `unload()`
`IIndexReader.IOne2OneIndex` `writeTo(DataOutputStream out, long position, int[] array)`
`IIndexReader.IOne2OneIndex` `writeTo(DataOutputStream out, long position, IteratorInt iterator)`
`IIndexReader.IOne2OneIndex` `writeTo(File indexFile, int[] array)`
`IIndexReader.IOne2OneIndex` `writeTo(File indexFile, IteratorInt iterator)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntIndexStreamer

    public IntIndexStreamer()

### Method Detail

#### writeTo

    public IIndexReader.IOne2OneIndex writeTo(File indexFile,
                                              IteratorInt iterator)
                                       throws IOException

Throws:
  `IOException`

#### writeTo

    public IIndexReader.IOne2OneIndex writeTo(File indexFile,
                                              int[] array)
                                       throws IOException

Throws:
  `IOException`

#### writeTo

    public IIndexReader.IOne2OneIndex writeTo(DataOutputStream out,
                                              long position,
                                              IteratorInt iterator)
                                       throws IOException

Throws:
  `IOException`

#### writeTo

    public IIndexReader.IOne2OneIndex writeTo(DataOutputStream out,
                                              long position,
                                              int[] array)
                                       throws IOException

Throws:
  `IOException`

#### get

    public int get(int index)

#### getNext

    public int[] getNext(int index,
                         int length)

#### getAll

    public int[] getAll(int[] index)

#### set

    public void set(int index,
                    int value)

#### unload

    public void unload()

#### size

    public int size()

#### iterator

    public IteratorInt iterator()